Name:          chromium
Epoch:         3
Version:       78.0.3904.70
Release:       2mamba
Summary:       An open-source browser project that aims to build a safer, faster, and more stable way to experience the web
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.chromium.org
# Note:
# we usually package the stable release. you may find the latest version number here:
# http://googlechromereleases.blogspot.it/
# Find latest release starting here:
# http://gsdview.appspot.com/chromium-browser-official/?marker=chromium-53.0.2785.144.tar.bz
Source:        http://gsdview.appspot.com/chromium-browser-official/chromium-%{version}.tar.xz
Source1:       %{name}-master_preferences
Patch0:        %{name}-67069-gcc45.patch
Patch1:        %{name}-r78967-allow_continue_build.patch
Patch2:        %{name}-23.0.1271.94-DefaultUsesSystemTheme_KDE.patch
Patch3:        %{name}-15.0.868.1-gyp-fix-build.patch
Patch4:        %{name}-15.0.868.1-drop_sse2.patch
Patch5:        %{name}-19.0.1084.2-libavformat-0.8.patch
Patch6:        %{name}-20.0.1132.43-gcc-4.7.patch
Patch7:        %{name}-20.0.1132.43-fix_sqlite_history_Segfault_1.patch
Patch8:        %{name}-20.0.1132.43-fix_sqlite_history_Segfault_2.patch
Patch9:        %{name}-20.0.1132.59-webkit-bison-2.6.patch
Patch10:       chromium-21.0.1168.0-gcc-4.7.patch
Patch11:       chromium-24.0.1285.1-glibc-2.16.patch
Patch12:       chromium-24.0.1312.70-arm-gcc-4.5.3.patch
Patch13:       chromium-26.0.1410.49-speech_dispatcher.patch
Patch14:       chromium-40.0.2214.91-arm-sysroot.patch
Patch15:       chromium-34.0.1847.116-gn-r0.patch
Patch16:       chromium-34.0.1847.118-disable_depot_tools.patch
Patch17:       chromium-34.0.1847.137-glib-2.40.patch
Patch18:       chromium-34.0.1847.137-gnome-keyring-3.12.patch
Patch19:       chromium-37.0.2062.120-chrome-wrapper-pepper-flash.patch
Patch20:       chromium-45.0.2454.101-fix-boringssl-posix.patch
Patch21:       chromium-46.0.2490.86-buildfix.patch
Patch22:       chromium-51.0.2704.106-PNGImageDecoder.patch
Patch23:       chromium-53.0.2785.16-cups-2.2.0.patch
Patch24:       chromium-53.0.2785.143-undef_MADV_FREE.patch
Patch25:       chromium-55.0.2883.75-ffmpeg-3.2.2.patch
Patch26:       chromium-55.0.2883.75-upstream-buildfix.patch
Patch27:       chromium-59.0.3071.86-blink-gcc-6.2.patch
Patch28:       chromium-72.0.3626.119-widevine.patch
Patch38:       chromium-76.0.3809.100-x86-openh264-add-fPIC.patch
Patch41:       chromium-77.0.3865.90-system-icu.patch
Patch44:       chromium-78.0.3904.70-system-zlib.patch
Patch45:       chromium-78.0.3904.70-webrtc-missing-include.patch
Patch46:       chromium-78.0.3904.70-dns_util-make-DohUpgradeEntry-non-const.patch
Patch47:       chromium-78.0.3904.70-fix-shutdown-crash-in-profilemanager.patch
Patch48:       chromium-78.0.3904.70-fix-spammy-unique-font-matching.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libGConf-devel
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libdbus-devel
BuildRequires: libevent-devel
BuildRequires: libexpat-devel
BuildRequires: libflac-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libspeex-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libxslt-devel
BuildRequires: libudev-devel
BuildRequires: xdg-utils
## AUTOBUILDREQ-END
BuildRequires: libpthread-stubs-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: gperf
BuildRequires: flex
BuildRequires: bison
BuildRequires: pam-devel
BuildRequires: yasm
BuildRequires: libdbus-glib-devel
BuildRequires: libXi-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXdamage-devel
BuildRequires: libkrb5-devel
BuildRequires: libe2fs-devel
BuildRequires: speech-dispatcher-devel >= 0.8-2mamba
BuildRequires: python-markupsafe
BuildRequires: libpulseaudio-devel
BuildRequires: libxshmfence-devel
BuildRequires: libkeyutils-devel
BuildRequires: libgnutls-devel
BuildRequires: libsnappy-devel
BuildRequires: ninja
BuildRequires: libXcursor-devel
BuildRequires: libicu-devel
BuildRequires: libpci-devel
BuildRequires: libexif-devel
BuildRequires: clang-devel
BuildRequires: libXtst-devel
BuildRequires: libjpeg-devel
BuildRequires: libre2-devel
BuildRequires: libminizip-devel
BuildRequires: llvm
BuildRequires: llvm-tools
BuildRequires: gn
Requires(post): %{__install_info}
Requires:      xdg-utils
Requires:      libvdpau-Mesa
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

# latest releases code version visible here: http://src.chromium.org/viewvc/chrome/releases/
# create release tarball with: (requires gclient from depot_tools)
# gclient config http://src.chromium.org/svn/releases/%{majver}
# gclient sync --force
# python src/tools/export_tarball/export_tarball.py --remove-nonessential-files chromium-%{version}

#% debug_package

%description
Chromium is an open-source browser project that aims to build a safer, faster, and more stable way for all Internet users to experience the web.

%prep
%setup -q -D -T
:<< _EOF
%patch19 -p1
%patch28 -p1
%ifarch %{ix86}
%patch38 -p1
%endif
%patch41 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1

# Allow building against system libraries in official builds
sed -i 's/OFFICIAL_BUILD/GOOGLE_CHROME_BUILD/' \
  tools/generate_shim_headers/generate_shim_headers.py

# Remove compiler flags not supported by our system clang
sed -i \
  -e '/"-Wno-defaulted-function-deleted"/d' \
  build/config/compiler/BUILD.gn

# Use Python 2
find . -name '*.py' -exec sed -i -r 's|/usr/bin/python$|&2|g' {} +

# https://crbug.com/893950
sed -i -e 's/\<xmlMalloc\>/malloc/' -e 's/\<xmlFree\>/free/' \
  third_party/blink/renderer/core/xml/*.cc \
  third_party/blink/renderer/core/xml/parser/xml_document_parser.cc \
  third_party/libxml/chromium/libxml_utils.cc

# There are still a lot of relative calls which need a workaround
mkdir -p python2-path
ln -sf %{_bindir}/python2 python2-path/python

# Possible replacements are listed in build/linux/unbundle/replace_gn_files.py
# Keys are the names in the above script; values are the dependencies in Arch
declare -rgA _system_libs=(
  [ffmpeg]=ffmpeg
  [flac]=flac
  [fontconfig]=fontconfig
  [freetype]=libfreetype
  [harfbuzz-ng]=harfbuzz
  [icu]=icu
  [libdrm]=
  [libjpeg]=libjpeg
  #[libpng]=libpng
  #[libvpx]=libvpx
  [libwebp]=libwebp
  [libxml]=libxml2
  [libxslt]=libxslt
  [opus]=opus
  [re2]=re2
  [snappy]=snappy
  [yasm]=
  [zlib]=libminizip
)

# Remove bundled libraries for which we will use the system copies; this
# *should* do what the remove_bundled_libraries.py script does, with the
# added benefit of not having to list all the remaining libraries
for l in ${!_system_libs[@]} ${_system_libs[libjpeg]+libjpeg_turbo}; do
  find "third_party/${l}" -type f \
    \! -path "third_party/${l}/chromium/*" \
    \! -path "third_party/${l}/google/*" \
    \! -path 'third_party/yasm/run_yasm.py' \
    \! -regex '.*\.\(gn\|gni\|isolate\|py\)' \
    -delete
done

python2 build/linux/unbundle/replace_gn_files.py \
  --system-libraries "${!_system_libs[@]}"

mkdir -p third_party/node/linux/node-linux-x64/bin
ln -s %{_bindir}/node third_party/node/linux/node-linux-x64/bin/

# Remove compiler flags not supported by our system clang
sed -i \
  -e '/"-fsplit-lto-unit"/d' \
  -e '/"-Wno-defaulted-function-deleted"/d' \
  build/config/compiler/BUILD.gn
	
%build
#:<< _EOF
export CC=clang
export CXX=clang++
export AR=ar
export NM=nm
	
# Facilitate deterministic builds (taken from build/config/compiler/BUILD.gn)
CFLAGS+=' -Wno-builtin-macro-redefined -Wno-unknown-warning-option'
CXXFLAGS+=' -Wno-builtin-macro-redefined -Wno-unknown-warning-option'
CPPFLAGS+=' -D__DATE__=  -D__TIME__=  -D__TIMESTAMP__='

%ifarch arm
#export GYP_DEFINES="$GYP_DEFINES target_arch=arm disable_nacl=1 linux_use_tcmalloc=0 armv7=1 arm_neon=0 arm_thumb=1 arm_fpu=vfpv3-d16"
export GYP_DEFINES="$GYP_DEFINES target_arch=arm linux_use_tcmalloc=0 armv7=1 arm_neon=0 arm_thumb=1 arm_fpu=vfp"
export ARMIFY="-march=armv7-a -mtune=cortex-a9 -mfloat-abi=softfp -mfpu=vfp -msoft-float"
export BACKTRACE="-funwind-tables -rdynamic"
#export CC="%{_build}-gcc $BACKTRACE $ARMIFY -B%{_bindir}/ld.gold"
#export CXX="%{_build}-g++ $BACKTRACE $ARMIFY -B%{_bindir}/ld.gold"
%endif

# openmamba api keys provided (see http://www.chromium.org/developers/how-tos/api-keys)

chromium_conf=(
    'custom_toolchain="//build/toolchain/linux/unbundle:default"'
    'host_toolchain="//build/toolchain/linux/unbundle:default"'
    'clang_use_chrome_plugins=false'
    'is_official_build=true' # implies is_cfi=true on x86_64
    'treat_warnings_as_errors=false'
    'fieldtrial_testing_like_official_build=true'
    'ffmpeg_branding="Chrome"'
    'proprietary_codecs=true'
    'rtc_use_pipewire=true'
    'link_pulseaudio=true'
    'use_gnome_keyring=false'
    'use_sysroot=false'
	'linux_use_bundled_binutils=false'
    'use_custom_libcxx=false'
    'enable_hangout_services_extension=true'
    'enable_widevine=true'
    'enable_nacl=false'
    'enable_swiftshader=false'
    'google_api_key="AIzaSyBT3wXwxmFuUQcyeMyp0MbHHhhFwNfWKTc"'
    'google_default_client_id="72870267994-r1bkll5bq0v275nnsa66d21h3t6ne10s.apps.googleusercontent.com"'
    'google_default_client_secret="Pcdh5bzXx3nsECO_AlMlPXXk"'
	'symbol_level=0'
	'is_debug=false'
%ifarch %{ix86}
	'use_lld=false'
%endif
)

#    'rtc_link_pipewire=true'

#	'is_clang=true'
#	'is_cfi=false'
#	'use_lld=false'
#    'remove_webcore_debug_symbols=true'

gn gen out/Release --args="${chromium_conf[*]}" \
    --script-executable=/usr/bin/python2 --fail-on-unused-args

ninja -C out/Release chrome chrome_sandbox chromedriver

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
#cd src
install -d -m0755 %{buildroot}%{_libdir}/chromium/ %{buildroot}%{_bindir}
install -m0755 out/Release/chrome %{buildroot}%{_libdir}/chromium/chromium
install -m0755 out/Release/chrome_sandbox %{buildroot}%{_libdir}/chromium/chrome-sandbox
install -m0755 out/Release/chromedriver %{buildroot}%{_libdir}/chromium/chromedriver
#install -m0755 out/Release/libwidevinecdm.so %{buildroot}%{_libdir}/chromium/libwidevinecdm.so
#install -m0755 out/Release/libwidevinecdmadapter.so %{buildroot}%{_libdir}/chromium/libwidevinecdmadapter.so
cp out/Release/*.bin %{buildroot}%{_libdir}/chromium/

install -m0755 chrome/tools/build/linux/chrome-wrapper %{buildroot}%{_libdir}/chromium/
#install -m0755 third_party/xdg-utils/scripts/xdg-settings %{buildroot}/opt/chromium/xdg-settings

%if "%cross_target_cpu" != "i586"
install -m0755 out/Release/protoc %{buildroot}%{_libdir}/chromium/
%endif
cp -a out/Release/*.pak %{buildroot}%{_libdir}/chromium/
#install -D -m0644 out/Release/icudtl.dat %{buildroot}%{_libdir}/chromium
#install -D -m0644 out/Release/chrome.1 %{buildroot}%{_mandir}/man1/chromium.1
install -D -m0644 chrome/app/theme/chromium/product_logo_48.png %{buildroot}%{_datadir}/pixmaps/chromium.png
cp -a out/Release/locales %{buildroot}%{_libdir}/chromium/

#ln -s %{_libdir}/chromium/chrome-wrapper %{buildroot}%{_bindir}/chromium

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/chromium.desktop << EOF
[Desktop Entry]
Name=Chromium Browser
Name[it]=Browser Chromium
GenericName=Web Browser
GenericName[it]=Browser Web
Comment=An open-source browser to help move the web forward
Comment[it]=Un browser open source pensato per un web più moderno
Exec=chromium --password-store=detect --ignore-gpu-blacklist %u
Type=Application
Terminal=0
Icon=%{_datadir}/pixmaps/chromium.png
Categories=Network;
MimeType=text/html;
X-KDE-StartupNotify=true
EOF

#cat > %{buildroot}%{_datadir}/applications/chromium-accelerated.desktop << EOF
#[Desktop Entry]
#Name=Chromium Browser (not GPU accelerated)
#Name[it]=Browser Chromium (senza accelerazioni GPU)
#GenericName=Web Browser
#GenericName[it]=Browser Web
#Comment=An open-source browser to help move the web forward
#Comment[it]=Un browser open source pensato per un web più moderno
#Exec=chromium --password-store=detect %u
#Type=Application
#Terminal=0
#Icon=/usr/share/pixmaps/chrome.png
#Categories=Network;
#MimeType=text/html;
#X-KDE-StartupNotify=true
#EOF

# install master_preferences file for first run and homepage customization
install -m0644 %{SOURCE1} %{buildroot}%{_libdir}/chromium/master_preferences

#%find_lang %{name}

cat > %{buildroot}%{_bindir}/chromium << _EOF
#!/bin/bash
set -- "\${ARGS[@]}" "\$@"

if [ -r /opt/chromium/PepperFlash/manifest.json ]; then
   PEPPER_FLASH_VERSION="\$(grep '"version":' /opt/chromium/PepperFlash/manifest.json | grep -Po '(?<=version": ")(?:\d|\.)*')"
   exec %{_libdir}/chromium/chromium \\
      --ppapi-flash-path=/opt/chromium/PepperFlash/libpepflashplayer.so \\
	  --ppapi-flash-version=\${PEPPER_FLASH_VERSION} "\$@"
else
   exec %{_libdir}/chromium/chromium "\$@"
fi
_EOF
chmod 755 %{buildroot}%{_bindir}/chromium

ln -s %{_libdir}/chromium/chromedriver %{buildroot}%{_bindir}/chromedriver

# legacy favorites symlink
ln -s chromium.desktop %{buildroot}%{_datadir}/applications/chromium-devel.desktop

%post
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   [ -e %{_kde4_bindir}/kickoffcfg ] && \
      %{_kde4_bindir}/kickoffcfg --add-favorite %{_datadir}/applications/chromium.desktop
fi
:

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   [ -e %{_kde4_bindir}/kickoffcfg ] && \
      %{_kde4_bindir}/kickoffcfg --del-favorite %{_datadir}/applications/chromium.desktop
fi
:

%posttrans
/usr/bin/update-desktop-database -q
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/chromium
%{_bindir}/chromedriver
%{_datadir}/applications/chromium.desktop
%{_datadir}/applications/chromium-devel.desktop
%{_datadir}/pixmaps/chromium.png
%dir %{_libdir}/chromium
%{_libdir}/chromium/chromium
%{_libdir}/chromium/chromedriver
%{_libdir}/chromium/*.bin
%{_libdir}/chromium/*.pak
%{_libdir}/chromium/chrome-wrapper
%attr(4755,root,root) %{_libdir}/chromium/chrome-sandbox
#%{_libdir}/chromium/icudtl.dat
#%{_libdir}/chromium/libwidevinecdm.so
#%{_libdir}/chromium/libwidevinecdmadapter.so
%{_libdir}/chromium/master_preferences
%if "%cross_target_cpu" != "i586"
%{_libdir}/chromium/protoc
%endif
%dir %{_libdir}/chromium/locales
%{_libdir}/chromium/locales/*.pak
%{_libdir}/chromium/locales/*.pak.info
#%{_mandir}/man1/chromium.1*

%changelog
* Fri Nov 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 78.0.3904.70-2mamba
- added patches to fix crash on shutdown and spammy unique font matching console message

* Fri Nov 01 2019 Automatic Build System <autodist@mambasoft.it> 78.0.3904.70-1mamba
- automatic version update by autodist

* Thu Oct 17 2019 Automatic Build System <autodist@mambasoft.it> 77.0.3865.120-1mamba
- automatic version update by autodist

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 77.0.3865.90-1mamba
- automatic version update by autodist

* Sun Sep 08 2019 Automatic Build System <autodist@mambasoft.it> 76.0.3809.132-1mamba
- automatic version update by autodist

* Mon Aug 19 2019 Automatic Build System <autodist@mambasoft.it> 76.0.3809.100-1mamba
- automatic version update by autodist

* Tue Jul 30 2019 Automatic Build System <autodist@mambasoft.it> 75.0.3770.142-1mamba
- automatic version update by autodist

* Fri Mar 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 72.0.3626.119-1mamba
- update to 72.0.3626.119

* Tue Jul 17 2018 Automatic Build System <autodist@mambasoft.it> 67.0.3396.99-1mamba
- automatic version update by autodist

* Thu Jun 22 2017 Automatic Build System <autodist@mambasoft.it> 59.0.3071.109-1mamba
- automatic version update by autodist

* Mon Jun 12 2017 Automatic Build System <autodist@mambasoft.it> 59.0.3071.86-1mamba
- automatic version update by autodist

* Tue Apr 18 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 53.0.2785.154-2mamba
- rebuilt to workaround certificate expiration bug

* Wed Feb 15 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 53.0.2785.154-1mamba
- update to 53.0.2785.154

* Wed Dec 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 53.0.2785.144-1mamba
- update to 53.0.2785.144

* Mon Oct 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 53.0.2785.143-2mamba
- added patch to fix startup problem with kernels >= 4.5 (https://bugzilla.redhat.com/show_bug.cgi?id=1361157)

* Sat Oct 01 2016 Automatic Build System <autodist@mambasoft.it> 53.0.2785.143-1mamba
- automatic version update by autodist

* Thu Sep 29 2016 Automatic Build System <autodist@mambasoft.it> 53.0.2785.116-1mamba
- automatic version update by autodist

* Fri Sep 09 2016 Automatic Build System <autodist@mambasoft.it> 53.0.2785.101-1mamba
- automatic version update by autodist

* Sat Sep 03 2016 Automatic Build System <autodist@mambasoft.it> 53.0.2785.92-1mamba
- automatic version update by autodist

* Fri Sep 02 2016 Automatic Build System <autodist@mambasoft.it> 53.0.2785.89-1mamba
- automatic version update by autodist

* Sun Aug 21 2016 Automatic Build System <autodist@mambasoft.it> 52.0.2743.116-1mamba
- automatic version update by autodist

* Fri Aug 12 2016 Automatic Build System <autodist@mambasoft.it> 52.0.2743.85-1mamba
- automatic version update by autodist

* Sat Jul 23 2016 Automatic Build System <autodist@mambasoft.it> 52.0.2743.82-1mamba
- automatic version update by autodist

* Tue Jul 05 2016 Automatic Build System <autodist@mambasoft.it> 51.0.2704.106-1mamba
- automatic version update by autodist

* Thu May 05 2016 Automatic Build System <autodist@mambasoft.it> 50.0.2661.94-1mamba
- automatic version update by autodist

* Fri Apr 15 2016 Automatic Build System <autodist@mambasoft.it> 50.0.2661.75-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 49.0.2623.112-1mamba
- automatic version update by autodist

* Tue Mar 29 2016 Automatic Build System <autodist@mambasoft.it> 49.0.2623.110-1mamba
- automatic version update by autodist

* Fri Mar 25 2016 Automatic Build System <autodist@mambasoft.it> 49.0.2623.108-1mamba
- automatic version update by autodist

* Fri Mar 18 2016 Automatic Build System <autodist@mambasoft.it> 49.0.2623.87-1mamba
- automatic version update by autodist

* Fri Feb 19 2016 Automatic Build System <autodist@mambasoft.it> 48.0.2564.116-1mamba
- automatic version update by autodist

* Mon Feb 15 2016 Automatic Build System <autodist@mambasoft.it> 48.0.2564.109-1mamba
- automatic version update by autodist

* Sat Feb 06 2016 Automatic Build System <autodist@mambasoft.it> 48.0.2564.103-1mamba
- automatic version update by autodist

* Thu Jan 28 2016 Automatic Build System <autodist@mambasoft.it> 48.0.2564.97-1mamba
- automatic version update by autodist

* Fri Jan 22 2016 Automatic Build System <autodist@mambasoft.it> 48.0.2564.82-1mamba
- automatic version update by autodist

* Thu Jan 14 2016 Automatic Build System <autodist@mambasoft.it> 47.0.2526.111-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 47.0.2526.106-1mamba
- automatic version update by autodist

* Wed Dec 09 2015 Automatic Build System <autodist@mambasoft.it> 47.0.2526.80-1mamba
- automatic version update by autodist

* Wed Dec 02 2015 Automatic Build System <autodist@mambasoft.it> 47.0.2526.73-1mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 46.0.2490.86-1mamba
- automatic version update by autodist

* Thu Oct 08 2015 Automatic Build System <autodist@mambasoft.it> 45.0.2454.101-1mamba
- automatic version update by autodist

* Thu Aug 13 2015 Automatic Build System <autodist@mambasoft.it> 44.0.2403.155-1mamba
- automatic version update by autodist

* Sun Aug 09 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 44.0.2403.130-2mamba
- add missing *.pak

* Sat Aug 08 2015 Automatic Build System <autodist@mambasoft.it> 44.0.2403.130-1mamba
- automatic version update by autodist

* Wed Jul 15 2015 Automatic Build System <autodist@mambasoft.it> 43.0.2357.134-1mamba
- automatic version update by autodist

* Wed Jul 08 2015 Automatic Build System <autodist@mambasoft.it> 43.0.2357.132-1mamba
- automatic version update by autodist

* Tue Jun 23 2015 Automatic Build System <autodist@mambasoft.it> 43.0.2357.130-1mamba
- automatic version update by autodist

* Fri Jun 12 2015 Automatic Build System <autodist@mambasoft.it> 43.0.2357.125-1mamba
- automatic version update by autodist

* Thu Jun 11 2015 Automatic Build System <autodist@mambasoft.it> 43.0.2357.124-1mamba
- automatic version update by autodist

* Tue May 26 2015 Automatic Build System <autodist@mambasoft.it> 43.0.2357.81-1mamba
- automatic version update by autodist

* Thu May 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 43.0.2357.65-3mamba
- re-enable sanbox, but requires recent kernels built with CONFIG_PID_NS=y

* Wed May 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 43.0.2357.65-2mamba
- move from /opt to %{_libdir}
- launch with --disable-namespace-sandbox needed since 42

* Wed May 20 2015 Automatic Build System <autodist@mambasoft.it> 43.0.2357.65-1mamba
- automatic version update by autodist

* Wed Apr 29 2015 Automatic Build System <autodist@mambasoft.it> 42.0.2311.135-1mamba
- automatic version update by autodist

* Sat Apr 18 2015 Automatic Build System <autodist@mambasoft.it> 42.0.2311.90-1mamba
- automatic version update by autodist

* Fri Apr 03 2015 Automatic Build System <autodist@mambasoft.it> 41.0.2272.118-1mamba
- automatic version update by autodist

* Fri Mar 20 2015 Automatic Build System <autodist@mambasoft.it> 41.0.2272.101-1mamba
- automatic version update by autodist

* Thu Mar 12 2015 Automatic Build System <autodist@mambasoft.it> 41.0.2272.89-1mamba
- automatic version update by autodist

* Tue Mar 10 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 41.0.2272.76-2mamba
- install newly required out/Release/*.bin files

* Mon Mar 09 2015 Automatic Build System <autodist@mambasoft.it> 41.0.2272.76-1mamba
- automatic version update by autodist

* Fri Feb 20 2015 Automatic Build System <autodist@mambasoft.it> 40.0.2214.115-1mamba
- automatic version update by autodist

* Mon Feb 09 2015 Automatic Build System <autodist@mambasoft.it> 40.0.2214.111-1mamba
- automatic version update by autodist

* Sat Jan 31 2015 Automatic Build System <autodist@mambasoft.it> 40.0.2214.94-1mamba
- automatic version update by autodist

* Wed Jan 28 2015 Automatic Build System <autodist@mambasoft.it> 40.0.2214.93-1mamba
- automatic version update by autodist

* Mon Jan 26 2015 Automatic Build System <autodist@mambasoft.it> 40.0.2214.91-1mamba
- automatic version update by autodist

* Wed Jan 14 2015 Automatic Build System <autodist@mambasoft.it> 39.0.2171.99-1mamba
- automatic version update by autodist

* Wed Dec 10 2014 Automatic Build System <autodist@mambasoft.it> 39.0.2171.95-1mamba
- automatic version update by autodist

* Thu Dec 04 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 39.0.2171.71-2mamba
- install libpdf.so
- set -Dffmpeg_branding=Chrome instead of Chromium
- require libvdpau-Mesa

* Wed Nov 26 2014 Automatic Build System <autodist@mambasoft.it> 39.0.2171.71-1mamba
- automatic version update by autodist

* Mon Nov 24 2014 Automatic Build System <autodist@mambasoft.it> 39.0.2171.65-1mamba
- automatic version update by autodist

* Fri Nov 14 2014 Automatic Build System <autodist@mambasoft.it> 38.0.2125.122-1mamba
- automatic version update by autodist

* Tue Oct 28 2014 Automatic Build System <autodist@mambasoft.it> 38.0.2125.111-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Automatic Build System <autodist@mambasoft.it> 38.0.2125.104-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 38.0.2125.101-1mamba
- automatic version update by autodist

* Fri Sep 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 37.0.2062.120-2mamba
- chrome-wrapper: patch for automatic pepper-flash plugin support
- build with internal ffmpeg to maybe fix html5 video support

* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 37.0.2062.120-1mamba
- automatic version update by autodist

* Tue Sep 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 34.0.1847.137-2mamba
- build with clang because of startup crash with gcc 4.9

* Tue Sep 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 34.0.1847.137-1mamba
- update to 34.0.1847.137

* Sun Apr 13 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 34.0.1847.118-1mamba
- update to 34.0.1847.118

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 31.0.1650.63-1mamba
- automatic version update by autodist

* Sat Nov 16 2013 Automatic Build System <autodist@mambasoft.it> 31.0.1650.57-1mamba
- automatic version update by autodist

* Fri Nov 15 2013 Automatic Build System <autodist@mambasoft.it> 31.0.1650.48-2mamba
- previous release was build with a bad rpm release

* Thu Nov 14 2013 Automatic Build System <autodist@mambasoft.it> 31.0.1650.48-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 30.0.1599.114-1mamba
- automatic version update by autodist

* Fri Oct 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 30.0.1599.66-2mamba
- install chrome_sandbox as chrome-sandbox as required since this version

* Thu Oct 03 2013 Automatic Build System <autodist@mambasoft.it> 30.0.1599.66-1mamba
- automatic version update by autodist

* Thu Sep 19 2013 Automatic Build System <autodist@mambasoft.it> 29.0.1547.76-1mamba
- automatic version update by autodist

* Tue Sep 10 2013 Automatic Build System <autodist@mambasoft.it> 29.0.1547.65-1mamba
- automatic version update by autodist

* Fri Aug 02 2013 Automatic Build System <autodist@mambasoft.it> 28.0.1500.95-1mamba
- automatic version update by autodist

* Sat Jul 20 2013 Automatic Build System <autodist@mambasoft.it> 28.0.1500.71-1mamba
- automatic version update by autodist

* Thu Jun 20 2013 Automatic Build System <autodist@mambasoft.it> 28.0.1500.52-1mamba
- automatic version update by autodist

* Wed Jun 19 2013 Automatic Build System <autodist@mambasoft.it> 28.0.1500.45-1mamba
- automatic version update by autodist

* Wed May 22 2013 Automatic Build System <autodist@mambasoft.it> 27.0.1453.93-1mamba
- automatic version update by autodist

* Wed Apr 10 2013 Automatic Build System <autodist@mambasoft.it> 26.0.1410.63-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 26.0.1410.49-1mamba
- update to 26.0.1410.49

* Fri Feb 22 2013 Automatic Build System <autodist@mambasoft.it> 25.0.1364.97-1mamba
- automatic version update by autodist

* Wed Feb 13 2013 Automatic Build System <autodist@mambasoft.it> 24.0.1312.70-1mamba
- automatic version update by autodist

* Fri Feb 08 2013 Automatic Build System <autodist@mambasoft.it> 24.0.1312.69-1mamba
- automatic version update by autodist

* Sat Feb 02 2013 Automatic Build System <autodist@mambasoft.it> 24.0.1312.57-1mamba
- automatic version update by autodist

* Thu Jan 24 2013 Automatic Build System <autodist@mambasoft.it> 24.0.1312.56-1mamba
- automatic version update by autodist

* Fri Jan 11 2013 Automatic Build System <autodist@mambasoft.it> 24.0.1312.52-1mamba
- automatic version update by autodist

* Sat Dec 15 2012 Automatic Build System <autodist@mambasoft.it> 23.0.1271.97-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 23.0.1271.95-1mamba
- automatic version update by autodist

* Fri Nov 23 2012 Automatic Build System <autodist@mambasoft.it> 23.0.1271.94-1mamba
- update to 23.0.1271.94

* Mon Oct 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 21.0.1180.92-1mamba
- update to 21.0.1180.92

* Mon Aug 27 2012 Automatic Build System <autodist@mambasoft.it> 21.0.1168.0-1mamba
- update to 21.0.1168.0

* Sat Aug 18 2012 Automatic Build System <autodist@mambasoft.it> 20.0.1132.59-1mamba
- update to 20.0.1132.59

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 20.0.1132.43-2mamba
- applied sqlite patches to prevent crash in history (http://code.google.com/p/chromium/issues/detail?id=122525)
- also provide /usr/bin/chrome symlink for session manager to find it at login

* Mon Jun 25 2012 Automatic Build System <autodist@mambasoft.it> 20.0.1132.43-1mamba
- update to 20.0.1132.43

* Wed Jun 06 2012 Automatic Build System <autodist@mambasoft.it> 20.0.1132.27-1mamba
- update to 20.0.1132.27

* Fri May 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 20.0.1132.12-1mamba
- update to 20.0.1132.12

* Fri May 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 21.0.1141.0-1mamba
- update to 21.0.1141.0

* Tue Apr 10 2012 Automatic Build System <autodist@mambasoft.it> 20.0.1096.1-1mamba
- update to 20.0.1096.1

* Thu Mar 29 2012 Automatic Build System <autodist@mambasoft.it> 19.0.1084.2-1mamba
- update to 19.0.1084.2

* Sat Jan 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 18.0.998.0-2mamba
- added various experimental build options
- enabled sandbox

* Fri Jan 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 18.0.998.0-1mamba
- update to 18.0.998.0

* Fri Jan 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 18.0.997.0-1mamba
- update to 18.0.997.0

* Wed Nov 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 17.0.932.0-1mamba
- update to 17.0.932.0

* Mon Oct 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 15.0.868.1-3mamba
- install xdg-settings script to enable default browser setting functionality using system xdg-utils
- add missing semicolon to MimeType in .desktop files for XDG standard compliance

* Thu Oct 27 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 15.0.868.1-2mamba
- added patch to drop sse2 support to work with CPU which do not support it (see http://code.google.com/p/chromium/issues/detail?id=9007)

* Sat Sep 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 15.0.868.1-1mamba
- update to 15.0.868.1

* Sat Jul 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> r92735-1mamba
- update to r92735

* Mon Jul 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> r91189-1mamba
- update to r91189

* Wed Jun 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> r87437-1mamba
- update to r87437
- configure as kickoff menu favorite

* Tue Mar 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> r79660-1mamba
- update to r79660
- desktop file: add --password-store=detect
- set arm_fpu=vfpv3-d16 for arm target
- use default system theme (GTK+) with KDE (added patch)

* Tue Mar 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> r78967-1mamba
- update to r78967

* Wed Mar 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> r78333-1mamba
- update to r78333

* Mon Jan 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> r73127-1mamba
- update to r73127

* Sat Nov 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.594.0-1mamba
- update to 9.0.594.0

* Fri Nov 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 67069-2mamba
- install xdg support files and other tools
- launch via chrome-wrapper to start with right environment

* Thu Nov 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 67069-1mamba
- package created by autospec
